# Create purchaseInvoiceLines (v1.0)
Create a purchase invoice line object in Business Central.
## HTTP request (v1.0)
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/purchaseInvoices({id})/purchaseInvoiceLines
```
## Request headers (v1.0)
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body (v1.0)
In the request body, supply a JSON representation of a purchaseInvoiceLines object.
## Response (v1.0)
If successful, this method returns ```201 Created``` response code and a purchaseInvoiceLines object in the response body.
## Example (v1.0)
Request
Here is an example of a request.
```json
POST https://{businesscentralPrefix}/api/v1.0/companies({id})/purchaseInvoices({id})/purchaseInvoiceLines
Content-type: application/json

{
"itemId": "id-value",
"lineType": "Item",
"quantity": 9
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
Purchase Invoice Line<../resources/dynamics_purchaseinvoiceline>
Get Purchase Invoice Line<dynamics_purchaseinvoiceline_get>
Update Purchase Invoice Line<dynamics_purchaseinvoiceline_update>
Delete Purchase Invoice Line<dynamics_purchaseinvoiceline_delete>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_purchaseinvoiceline, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_create_purchaseinvoiceline/
